diff --git a/doc/src/sgml/queries.sgml b/doc/src/sgml/queries.sgml
index b72be9b..2254013 100644
--- a/doc/src/sgml/queries.sgml
+++ b/doc/src/sgml/queries.sgml
@@ -1981,6 +1981,9 @@ GROUP BY region, product;
   </para>
 
   <para>
+   <indexterm>
+    <primary>RECURSIVE</primary>
+   </indexterm>
    The optional <literal>RECURSIVE</literal> modifier changes <literal>WITH</literal>
    from a mere syntactic convenience into a feature that accomplishes
    things not otherwise possible in standard SQL.  Using
diff --git a/doc/src/sgml/ref/create_view.sgml b/doc/src/sgml/ref/create_view.sgml
index b325c1b..128ceda 100644
--- a/doc/src/sgml/ref/create_view.sgml
+++ b/doc/src/sgml/ref/create_view.sgml
@@ -82,7 +82,11 @@ CREATE [ OR REPLACE ] [ TEMP | TEMPORARY ] [ RECURSIVE ] VIEW <replaceable class
    </varlistentry>
 
    <varlistentry>
-    <term><literal>RECURSIVE</literal></term>
+    <term><literal>RECURSIVE</literal>
+      <indexterm zone="sql-createview">
+       <primary>RECURSIVE</primary>
+      </indexterm>
+    </term>
     <listitem>
      <para>
       Creates a recursive view.  The syntax
